package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.TemplateTypeEnum;
import com.qmth.teachcloud.common.enums.ClassifyEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 机构下印品模板
 * @Author: CaoZixuan
 * @Date: 2021-04-05
 */
public class TemplatePrintInfoResult {
//    @JsonSerialize(using = ToStringSerializer.class)
//    @ApiModelProperty(value = "关联表id")
//    private Long templateOrgId;

//    @ApiModelProperty(value = "关联表印品类型")
//    private TemplateTypeEnum templateOrgType;

//    @JsonSerialize(using = ToStringSerializer.class)
//    @ApiModelProperty(value = "机构id")
//    private Long orgId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "模板id")
    private Long templateId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "学校id")
    private Long schoolId;

    @ApiModelProperty(value = "模板名称")
    private String templateName;

    @ApiModelProperty(value = "模板类型")
    private TemplateTypeEnum templateType;

    @ApiModelProperty(value = "模板样式")
    private ClassifyEnum templateClassify;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "模板附件id")
    private Long attachmentId;

    @ApiModelProperty(value = "模板可用？")
    private Boolean enable;

    @ApiModelProperty(value = "模板备注")
    private String remark;

    public Long getTemplateId() {
        return templateId;
    }

    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public TemplateTypeEnum getTemplateType() {
        return templateType;
    }

    public void setTemplateType(TemplateTypeEnum templateType) {
        this.templateType = templateType;
    }

    public ClassifyEnum getTemplateClassify() {
        return templateClassify;
    }

    public void setTemplateClassify(ClassifyEnum templateClassify) {
        this.templateClassify = templateClassify;
    }

    public Long getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(Long attachmentId) {
        this.attachmentId = attachmentId;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "TemplatePrintInfoResult{" +
                "templateId=" + templateId +
                ", schoolId=" + schoolId +
                ", templateName='" + templateName + '\'' +
                ", templateType=" + templateType +
                ", templateClassify=" + templateClassify +
                ", attachmentId=" + attachmentId +
                ", enable=" + enable +
                ", remark='" + remark + '\'' +
                '}';
    }
}
